org.licas.def.search

## Interface LicasDocSearchDef

- All Known Implementing Classes:
    LicasDocSearch

      public interface LicasDocSearchDef

  This is an interface for searching over document contents in legal folders.
  Author:
    Kieran Greer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.licas_xml.abs.Element` | `docSearch(java.lang.String queryEngine, int callTimeout, org.licas_xml.abs.Element request, ServiceLinks serverLinks)` Query the server to parse documents to find matching information.

- - ### Method Detail

    - #### docSearch

          org.licas_xml.abs.Element docSearch(java.lang.String queryEngine,
                                              int callTimeout,
                                              org.licas_xml.abs.Element request,
                                              ServiceLinks serverLinks)
                                       throws java.lang.Exception

      Query the server to parse documents to find matching information. To be recognised by the default classes, the root `request` element should have the tag name of `QueryConst.QUERYMODEL`, or 'Query_Model'. This should then contain a description of the query request. For this default model, the XML request that is passed in needs to be parsed by a `QueryParser` parser into a `QueryModel` object, of the 'licas_text' package. This is what the default classes will then evaluate. The documentation describes the different fields in more detail.
      Parameters:
        `queryEngine` - the query engine type.
        `callTimeout` - maximum time allowed for the call (in milliseconds).
        `request` - the query request.
        `serverLinks` - the `ESB` links information.
      Returns:
        any suitable matches to the request. These are stored inside of an element for each related service, with attributes to describe the service uuid and type.
      Throws:
        `java.lang.Exception` - any error.